SoTypeList(3)

NAME
SoTypeList - The SoTypeList class is a container class for arrays of SoType objects.

SYNOPSIS

#include <Inventor/lists/SoTypeList.h>

Inherits SbPList.

  Public Member Functions
SoTypeList (void)
SoTypeList (const int sizehint)
SoTypeList (const SoTypeList &l)
void append (const SoType type)
int find (const SoType type) const
void insert (const SoType type, const int insertbefore)
SoType operator[] (const int idx) const
void set (const int index, const SoType item)

  Additional Inherited Members

Detailed Description

The SoTypeList class is a container class for arrays of SoType objects.

See also
    SbList

Constructor & Destructor Documentation

  SoTypeList::SoTypeList (void) [inline]
Default constructor.

  SoTypeList::SoTypeList (const int sizehint) [inline]
This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
    SbList::SbList(const int sizehint)

  SoTypeList::SoTypeList (const SoTypeList & l) [inline]
Copy constructor.

See also
    SbList::SbList(const SbList<Type> & l)

Member Function Documentation

  void SoTypeList::append (const SoType type)
Append item to the end of the list.

Automatically allocates more items internally if needed.

Overloaded from parent to accept an SoType pointer argument.

See also
    SbPList::append()

  int SoTypeList::find (const SoType type) const
Return index of first occurrence of item in the list, or -1 if item is not present.

Overloaded from parent to accept an SoType argument.

See also
    SbPList::find()

  void SoTypeList::insert (const SoType type, const int insertbefore)
Insert item at index insertbefore.

insertbefore should not be larger than the current number of items in the list.

Overloaded from parent to accept an SoType argument.

See also
    SbPList::insert()

  SoType SoTypeList::operator[] (const int idx) const
Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to NULL.

Overloaded from parent to return an SoType instance.

See also
    SbPList::operator[]()

  void SoTypeList::set (const int index, const SoType item)
Index operator to set element at index. Does not expand array bounds if index is outside the list.

Overloaded from parent to accept an SoType argument.

See also
    SbPList::set()

Author

Generated automatically by Doxygen for Coin from the source code.